Type=StaticCode
Version=4.7
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Type Curs (CLOSED_HAND As Object, CROSSHAIR As Object, DEFAULT As Object, DISAPPEAR As Object, E_RESIZE As Object, _
	H_RESIZE As Object, HAND As Object, MOVE As Object, N_RESIZE As Object, NE_RESIZE As Object, NONE As Object, _
	NW_RESIZE As Object, OPEN_HAND As Object, S_RESIZE As Object, SE_RESIZE As Object, SW_RESIZE As Object, _
	TEXT As Object, V_RESIZE As Object, W_RESIZE As Object, WAIT As Object)
	
	Public Cursors As Curs
End Sub

Public Sub Initialize
	Private jo As JavaObject
	jo.InitializeStatic("javafx.scene.Cursor")
	Cursors.CLOSED_HAND = jo.RunMethod("cursor", Array As Object("CLOSED_HAND"))	
	Cursors.CROSSHAIR = jo.RunMethod("cursor", Array As Object("CROSSHAIR"))	
	Cursors.DEFAULT = jo.RunMethod("cursor", Array As Object("DEFAULT"))	
	Cursors.DISAPPEAR = jo.RunMethod("cursor", Array As Object("DISAPPEAR"))	
	Cursors.E_RESIZE = jo.RunMethod("cursor", Array As Object("E_RESIZE"))	
	Cursors.H_RESIZE = jo.RunMethod("cursor", Array As Object("H_RESIZE"))	
	Cursors.HAND = jo.RunMethod("cursor", Array As Object("HAND"))	
	Cursors.MOVE = jo.RunMethod("cursor", Array As Object("MOVE"))	
	Cursors.N_RESIZE = jo.RunMethod("cursor", Array As Object("N_RESIZE"))	
	Cursors.NE_RESIZE = jo.RunMethod("cursor", Array As Object("NE_RESIZE"))	
	Cursors.NONE = jo.RunMethod("cursor", Array As Object("NONE"))	
	Cursors.OPEN_HAND = jo.RunMethod("cursor", Array As Object("OPEN_HAND"))	
	Cursors.S_RESIZE = jo.RunMethod("cursor", Array As Object("S_RESIZE"))	
	Cursors.SE_RESIZE = jo.RunMethod("cursor", Array As Object("SE_RESIZE"))	
	Cursors.SW_RESIZE = jo.RunMethod("cursor", Array As Object("SW_RESIZE"))	
	Cursors.TEXT = jo.RunMethod("cursor", Array As Object("TEXT"))	
	Cursors.V_RESIZE = jo.RunMethod("cursor", Array As Object("V_RESIZE"))	
	Cursors.W_RESIZE = jo.RunMethod("cursor", Array As Object("W_RESIZE"))	
	Cursors.WAIT = jo.RunMethod("cursor", Array As Object("WAIT"))	
End Sub

Public Sub ImageCursor(CursorImage As Image) As Object
	Private joImageCursor As JavaObject
	Return joImageCursor.InitializeNewInstance("javafx.scene.ImageCursor", Array(CursorImage))	
End Sub
